package com.ejie.p06b.datatype.logic;

import java.io.Serializable;

import com.ejie.p06b.datatype.model.P06BA1T00Datatype;

/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (09/05/07)
 */
public class P06BNumeracionesComp implements Serializable {
	
	private P06BA1T00Datatype numeracion = null;
	private String descripcion = "";
	private String fecha = "";
	
	public P06BNumeracionesComp(){
	}
	
	public P06BNumeracionesComp(P06BA1T00Datatype numeracion){
		this.numeracion = numeracion;
	}
	/**
	 * @return Returns the descripcion.
	 */
	public String getDescripcion() {
		return descripcion;
	}
	/**
	 * @param descripcion The descripcion to set.
	 */
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}
	/**
	 * @return Returns the fecha.
	 */
	public String getFecha() {
		return fecha;
	}
	/**
	 * @param fecha The fecha to set.
	 */
	public void setFecha(String fecha) {
		this.fecha = fecha;
	}
	/**
	 * @return Returns the numeracion.
	 */
	public P06BA1T00Datatype getNumeracion() {
		return numeracion;
	}
	/**
	 * @param numeracion The numeracion to set.
	 */
	public void setNumeracion(P06BA1T00Datatype numeracion) {
		this.numeracion = numeracion;
	}
	
	
	/**
	 * @return Returns Info registry.
	 */
	public String toString() {
		String result = "";
		result = this.descripcion;
		result += " ("+this.fecha+") ";
		result += ": "+this.numeracion.toString();
		return result;
	}
}
